Page MenuHomePhabricator

[Regression pre-wmf.23] Can't save any edit using Mobile VE both on desktop and mobile device
Closed, ResolvedPublic

Description

Steps to replicate:

  1. Open mobile VE for any page using any desktop browser or mobile browser
  2. Make a change
  3. Click on Publish
  4. Click on "Publish" on the save dialog.

The edit I just made does not get saved, looks like a crash but no error in the console.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 22 2019, 11:16 PM
Ryasmeen triaged this task as Unbreak Now! priority.Mar 22 2019, 11:17 PM

Raising it as an UBN. We should fix it before Tuesday.

Restricted Application added subscribers: Liuxinyu970226, TerraCodes. · View Herald TranscriptMar 22 2019, 11:17 PM

Change 498523 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/VisualEditor@master] ve.init.mw.MobileArticleTarget: Restore missing methods

https://gerrit.wikimedia.org/r/498523

matmarex moved this task from To Triage to Current work on the VisualEditor board.Mar 23 2019, 3:39 AM
matmarex edited projects, added VisualEditor (Current work); removed VisualEditor.

Thank you for noticing this! It appears that when moving code around for T218946, I did a Ctrl+X in one file, but forgot to Ctrl+V in the other. And no one noticed that 100 lines of code went missing, until QA saved the day :)

Change 498523 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] ve.init.mw.MobileArticleTarget: Restore missing methods

https://gerrit.wikimedia.org/r/498523

...QA saved the day :)

Great catch, @Ryasmeen 🔎

Esanders moved this task from Inbox to High Priority on the Editing QA board.
Ryasmeen edited projects, added Verified; removed Patch-For-Review.Mar 25 2019, 5:19 PM
Ryasmeen removed a project: Editing QA.

Could the VE product owner decide please if there is more to do here? This task has been UBN and open for two weeks. Thanks in advance!

ppelberg closed this task as Resolved.Apr 6 2019, 8:28 PM
ppelberg claimed this task.

Yikes – this is good to go. Thank you for the bump, @Aklapper.

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptApr 6 2019, 8:28 PM